--- title: "createAutoScalingGroup" slug: "compute-vautoscaling-autoscalinggroup-createautoscalinggroup" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-vautoscaling-autoscalinggroup-createautoscalinggroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createAutoScalingGroup Available in VPC Create an Auto Scaling Group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vautoscaling/v2/createAutoScalingGroup | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Auto Scaling APIs, see [Auto Scaling request headers](/docs/en/compute-vautoscaling#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default). | | `launchConfigurationNo` | String | Required | Launch configuration number - See [getLaunchConfigurationList](/docs/en/compute-vautoscaling-launchconfiguration-getlaunchconfigurationlist). - Specify the launch configuration to apply at scale-out. | | `autoScalingGroupName` | String | Optional | Auto Scaling Group name - Enter 1-255 characters using a combination of lowercase English letters, numbers, and special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Auto-generated on no input (default). | | `vpcNo` | String | Required | VPC number - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `subnetNo` | String | Required | Subnet number - See [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `accessControlGroupNoList.N` | Array | Required | ACG number list - See [getAccessControlGroupList](/docs/en/compute-vserver-acg-getaccesscontrolgrouplist). - Apply to servers created at scale-out. - 1-3 can be entered. - Example: `accessControlGroupNoList.1=1234&accessControlGroupNoList.2=2345` | | `serverNamePrefix` | String | Optional | Server name prefix - `s` (default) - Enter 3 to 7 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Server name rule is {Prefix}-{English letter\|number}, with everything but the prefix generated automatically. | | `minSize` | Integer | Required | Minimum capacity: Minimum number of servers in Auto Scaling Group - 0-30 - Set to `maxSize` or less. - Enter 0 to not have a server. | | `maxSize` | Integer | Required | Maximum capacity: Maximum number of servers in Auto Scaling Group - 0-30 - Set to `minSize` or more | | `desiredCapacity` | Integer | Optional | Expected capacity: Expected number of servers in Auto Scaling Group - Set between `minSize` and `maxSize` (default: same as `minSize`). - Automatically adjust the number of servers based on the input value. | | `defaultCoolDown` | Integer | Optional | Default cooldown value (second) - 0-2147483647 (default: 300) - Monitoring wait time for server readiness after scaling | | `healthCheckGracePeriod` | Integer | Conditional | Health check grace period (second) - 0-2147483647 (default: 300) - The amount of time that a server is not judged unhealthy if it fails a health check, given the initial workload of the server - Required if `healthCheckTypeCode` is `LOADB` | | `healthCheckTypeCode` | String | Optional | Health check type code - `SVR` (default) \| `LOADB` - `SVR`: Server - `LOADB`: Load balancer - For `LOADB`, `healthCheckGracePeriod` is required. | | `targetGroupNoList.N` | Array | Optional | Target group number list - See [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist). - Determine server status based on each group's health check method and criteria. - Valid only if `healthCheckTypeCode` is `LOADB` - Example: `targetGroupNoList.1=1234&targetGroupNoList.2=2345` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | Note When entering a request query parameter, see the following: - `defaultCoolDown`: Even when a new server is created, it takes some time before it is ready to perform actual services, such as running an init script or installing updates. Considering this, the period of time that you set to ignore and not react to monitoring event notifications after the actual scaling is taking place or has completed is defined as the cooldown time. - `healthCheckGracePeriod`: Even though a server has been created and is in the Running status, it might not respond to the health check due to other tasks, such as server update installations. In this case, you can specify the health check grace period during so that the server is not considered to have an issue even if the health check fails. ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vautoscaling/v2/createAutoScalingGroup ?regionCode=KR &launchConfigurationNo=5891 &vpcNo=4**5 &subnetNo=3***4 &accessControlGroupNoList.1=1***1 &minSize=0 &maxSize=1 &desiredCapacity=0 &healthCheckTypeCode=SVR &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createAutoScalingGroupResponse` | Object | - | Response result - See [AutoScalingGroupList](/docs/en/common-vapidatatype-autoscalinggrouplist). | | `createAutoScalingGroupResponse.requestId` | String | - | ID for the request - UUID format | | `createAutoScalingGroupResponse.returnCode` | String | - | Response code | | `createAutoScalingGroupResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTP status codes common to all Auto Scaling APIs, see [Auto Scaling response status codes](/docs/en/compute-vautoscaling#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createAutoScalingGroupResponse": { "totalRows": 1, "autoScalingGroupList": [ { "vpcNo": "4**5", "subnetNo": "3***4", "serverNamePrefix": "", "autoScalingGroupNo": "1***1", "autoScalingGroupName": "as19762e46344", "launchConfigurationNo": "5891", "minSize": 0, "maxSize": 1, "desiredCapacity": 0, "defaultCoolDown": 300, "healthCheckGracePeriod": 300, "healthCheckType": { "code": "SVR", "codeName": "Server" }, "createDate": "2025-06-12T15:47:04+0900", "autoScalingGroupStatus": { "code": "CREAT", "codeName": "Created" }, "targetGroupNoList": [], "inAutoScalingGroupServerInstanceList": [], "accessControlGroupNoList": [ "1***1" ], "suspendedProcessList": [] } ], "requestId": "cb3b0c69-****-****-****-179d71217eea", "returnCode": "0", "returnMessage": "success" } } ```